Function
countOccurrencesMultiple
Returns the number of occurrences of a q-gram for every sequence of a StringSet .
countOccurrencesMultiple(index, shape)
Include Headers
seqan/index.h
Parameters

index | A q-gram index of a StringSet. Types: IndexQGram
shape | A shape object. Note: The shape stores the q-gram of the last call to hash or hashNext. Types: Shape

Remarks
The necessary index tables are built on-demand via indexRequire if index is not const.
Return Values
A sequence of pairs (seqNo,count), count>0. For every StringSet sequence the q-gram occurs in, seqNo is the sequence number and count the number of occurrences. If the type of index is TIndex the return type is Infix<Fibre<TIndex, QGramCounts>::Type const>::Type.
Member of
IndexQGram
Example Programs
Index countOccurrencesMultiple
See Also
countOccurrences
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58